Bug 63796 - Automatic multi-arch builds no longer work.
Automatic multi-arch builds no longer work.
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: rpm-build (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-18 15:46 EDT by Sam Varshavchik
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-29 17:48:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sam Varshavchik 2002-04-18 15:46:04 EDT
The fix for rpm -q bug #27589 introduced a side effect of disabling automatic
multi-architecture builds by rpm -bb and -ba (and -tb and -ta).  Prior to 4.0.3,
running an 'rpm -bb' on a

BuildArch: i386 noarch

resulted in rpmb making two passes over the spec file automatically, one for
each listed architecture.  After 4.0.3 rpmb would run a single pass only, for i386.

As a result, it is no longer possible to distribute packages that are to be
built against multiple architectures without additional out-of-band instructions
specifying that rpm should be executed multiple times with different --target
options.  The problem with the rpm --query really didn't affect building, before
4.0.3.

The only issue with multi-arch builds is the generation of the source RPM. 
There are three options:

* Leave it as it is.  Before 4.0.3 the source RPM was created after the last
arch pass.  Explicitly define this as the official behavior.

* Introduce a SourceArch: header that specifies a single architecture.  rpm -ba
would create a source RPM only after a pass for the architecture specified by
SoruceArch: (in absence of SourceArch: the platform build is defaulted).

* Introduce an ExtraArch: header, listing multiple architectures to run
additional spec file passes for, after processing -ba or -bb.
Comment 1 Bill Nottingham 2005-09-29 17:48:53 EDT
Closing bugs on older, no longer supported, releases. Apologies for any lack of
response.

For RPM issues, please try a current release such as Fedora Core 4; if bugs
persist, please open a new issue.

Note You need to log in before you can comment on or make changes to this bug.